Skip to main content
GET
/
api
/
public
/
v1
/
booking
cURL
curl --location 'https://www.headout.com/api/public/v1/booking' \
--header 'Headout-Auth: <YOUR_API_KEY>' \
--header 'Content-Type: application/json'
{
  "items": [
    {
      "bookingId": "<string>",
      "partnerReferenceId": "<string>",
      "variantId": "<string>",
      "startDateTime": "2023-11-07T05:31:56Z",
      "product": {
        "id": "<string>",
        "name": "<string>",
        "variant": {
          "id": "<string>",
          "name": "<string>"
        }
      },
      "customersDetails": {
        "count": 123,
        "customers": [
          {
            "personType": "<string>",
            "isPrimary": true,
            "inputFields": [
              {
                "id": "<string>",
                "name": "<string>",
                "value": "<string>"
              }
            ]
          }
        ]
      },
      "variantInputFields": [
        {
          "id": "<string>",
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "price": {
        "amount": 123,
        "currencyCode": "<string>"
      },
      "status": "UNCAPTURED",
      "voucherUrl": "<string>",
      "tickets": [
        {
          "publicId": "<string>",
          "url": "<string>",
          "type": "PDF_URL"
        }
      ],
      "seatInfo": [
        {
          "section": "<string>",
          "row": "<string>",
          "seatNumber": "<string>",
          "seatCode": "<string>"
        }
      ],
      "creationTimestamp": 123
    }
  ],
  "nextUrl": "<string>",
  "prevUrl": "<string>",
  "total": 123,
  "nextOffset": 123
}

Authorizations

Headout-Auth
string
header
required

Response

200 - application/json

Successful response

items
object[]

The bookings in this page of results.

nextUrl
string

Full URL to fetch the next page of results. Null if on the last page.

prevUrl
string

Full URL to fetch the previous page of results. Null if on the first page.

total
integer

Total number of bookings matching the query across all pages.

nextOffset
integer

Offset value to use in the next request to retrieve the following page.